﻿using ConfigFileManager.ViewModels.Dialog;
using ConfigFileManager.Views.Dialog;
using UICommon.CommonContainer;
namespace ConfigFileManager;

[Module(ModuleName = "ConfigFileManager", OnDemand = false)]
public class ConfigFileManagerModule : IModule
{
    public ConfigFileManagerModule(ICommonContainer commonContainer)
    {
        commonContainer.AddModule("DeviceManagement");
        commonContainer.AddNavigation(new(2, "配置文件", "ConfigFileManager", false, null!));
    }

    void IModule.OnInitialized(IContainerProvider containerProvider)
    {
        IRegionManager regionManager = containerProvider.Resolve<IRegionManager>();

        ICommonContainer commonContainer = containerProvider.Resolve<ICommonContainer>();
        regionManager.RegisterViewWithRegion(commonContainer.MainReginName, typeof(Views.ConfigFileManager));
    }

    void IModule.RegisterTypes(IContainerRegistry containerRegistry)
    {
        containerRegistry.RegisterForNavigation<Views.ConfigFileManager, ViewModels.ConfigFileManagerViewModel>("ConfigFileManager");
        containerRegistry.RegisterDialog<RecipeFile, RecipeFileViewModel>("Recipe");
        containerRegistry.RegisterDialog<ConfigFile, ConfigFileViewModel>("Config");
        containerRegistry.RegisterDialog<Migrate, MigrateViewModel>("Migrate");
    }
}
